Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.util
Class PBKDF2Config

    java.lang.Object
      org.bouncycastle.crypto.util.PBKDFConfig
          org.bouncycastle.crypto.util.PBKDF2Config

public class PBKDF2Config
extends PBKDFConfig

Configuration class for a PBKDF using PKCS#5 Scheme 2.

Nested Class Summary
`static class` | `PBKDF2Config.Builder`

Field Summary
`static AlgorithmIdentifier` | `PRF_SHA1` AlgorithmIdentifier for a PRF using HMac with SHA-1
`static AlgorithmIdentifier` | `PRF_SHA256` AlgorithmIdentifier for a PRF using HMac with SHA-256
`static AlgorithmIdentifier` | `PRF_SHA3_256` AlgorithmIdentifier for a PRF using HMac with SHA3-256
`static AlgorithmIdentifier` | `PRF_SHA3_512` AlgorithmIdentifier for a PRF using SHA3-512
`static AlgorithmIdentifier` | `PRF_SHA512` AlgorithmIdentifier for a PRF using HMac with SHA-512

Method Summary
`int` | `getIterationCount()`
`AlgorithmIdentifier` | `getPRF()`
`int` | `getSaltLength()`

Methods inherited from class org.bouncycastle.crypto.util.PBKDFConfig
`getAlgorithm`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PRF_SHA1

    public static final AlgorithmIdentifier PRF_SHA1

  AlgorithmIdentifier for a PRF using HMac with SHA-1

### PRF_SHA256

    public static final AlgorithmIdentifier PRF_SHA256

  AlgorithmIdentifier for a PRF using HMac with SHA-256

### PRF_SHA512

    public static final AlgorithmIdentifier PRF_SHA512

  AlgorithmIdentifier for a PRF using HMac with SHA-512

### PRF_SHA3_256

    public static final AlgorithmIdentifier PRF_SHA3_256

  AlgorithmIdentifier for a PRF using HMac with SHA3-256

### PRF_SHA3_512

    public static final AlgorithmIdentifier PRF_SHA3_512

  AlgorithmIdentifier for a PRF using SHA3-512

Method Detail

### getIterationCount

    public int getIterationCount()

### getPRF

    public AlgorithmIdentifier getPRF()

### getSaltLength

    public int getSaltLength()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD